Detect Image Aois

Automatically detect potential AOIs in an image

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Pre-requisites

You must have an existing image with an associated media_id (e.g. 8d91c929-9a7e-4b29-abc7-3ab0101b5492)

Object detection

The object detection model enables for detection of different types of AOIs.

  • Brand logos (typed as branding)
  • Headline texts (typed as headline_text)
  • Text blocks (typed as body_text)
  • Calls to action (typed as call_to_action)
  • Products (typed as product)

The type of detected object are indicated in the aoi_type filed of the AOI spec.

Example of a successful response

Running the AOI detection will yield results similar to those below:

{
    "aois": {
        "0a596fcf-6436-4a7d-bf4f-08f9038981e4": {
            "points": [
                {
                    "x": 0.3576944172382355,
                    "y": 0.039274927228689194
                },
                {
                    "x": 0.4969421625137329,
                    "y": 0.039274927228689194
                },
                {
                    "x": 0.4969421625137329,
                    "y": 0.9629085063934326
                },
                {
                    "x": 0.3576944172382355,
                    "y": 0.9629085063934326
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "product"
        },
        "0b4f59dd-f89a-480c-83ec-ae0168900416": {
            "points": [
                {
                    "x": 0.41525623202323914,
                    "y": 0.27206891775131226
                },
                {
                    "x": 0.43620121479034424,
                    "y": 0.27206891775131226
                },
                {
                    "x": 0.43620121479034424,
                    "y": 0.3283155858516693
                },
                {
                    "x": 0.41525623202323914,
                    "y": 0.3283155858516693
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "logo"
        },
        "0fa2a525-c64e-4fbb-acd5-f452b46cc88c": {
            "points": [
                {
                    "x": 0.597088098526001,
                    "y": 0.5035565495491028
                },
                {
                    "x": 0.8394470810890198,
                    "y": 0.5035565495491028
                },
                {
                    "x": 0.8394470810890198,
                    "y": 0.5647274255752563
                },
                {
                    "x": 0.597088098526001,
                    "y": 0.5647274255752563
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "body_text"
        },
        "19aa92b4-77f5-4281-814d-8da1c6834c31": {
            "points": [
                {
                    "x": 0.5500945448875427,
                    "y": 0.6320359110832214
                },
                {
                    "x": 0.9092763066291809,
                    "y": 0.6320359110832214
                },
                {
                    "x": 0.9092763066291809,
                    "y": 0.7538056373596191
                },
                {
                    "x": 0.5500945448875427,
                    "y": 0.7538056373596191
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "call_to_action_(cta)"
        },
        "a7c59cba-2aad-46ca-a812-1d56007e5ee9": {
            "points": [
                {
                    "x": 0.5355250835418701,
                    "y": 0.3251473605632782
                },
                {
                    "x": 0.9013814330101013,
                    "y": 0.3251473605632782
                },
                {
                    "x": 0.9013814330101013,
                    "y": 0.5068236589431763
                },
                {
                    "x": 0.5355250835418701,
                    "y": 0.5068236589431763
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "headline_text"
        },
        "d24ae64e-5669-4c7c-9244-67b1955be0b4": {
            "points": [
                {
                    "x": 0.5220488905906677,
                    "y": 0.20260515809059143
                },
                {
                    "x": 0.9261583089828491,
                    "y": 0.20260515809059143
                },
                {
                    "x": 0.9261583089828491,
                    "y": 0.3093893527984619
                },
                {
                    "x": 0.5220488905906677,
                    "y": 0.3093893527984619
                }
            ],
            "name": "auto-detected-aoi",
            "aoi_type": "headline_text"
        }
    }
}

NOTE: The automatic AOI detection does not automatically save the AOIs. It just gives you an idea of which areas to focus on.

Path Params
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json